apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "fullName" . }}
  labels:
{{ include "orbs.application.labels" . | indent 4 }}
    oa_application_component: 'server'
    version: {{ .Values.version }}
    git_commit: {{ .Values.git_commit }}
    git_tag: {{ .Values.git_tag }}
    oa_long_lived_token_restart: true
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
{{ include "orbs.application.labels" . | indent 6 }}
      oa_application_component: 'server'
  # This is the pod template
  template:
    metadata:
      labels:
{{ include "orbs.application.labels" . | indent 8 }}
        oa_application_component: 'server'
        version: {{ .Values.version }}
        git_commit: {{ .Values.git_commit }}
    spec:
      containers:
        - name: {{ include "fullName" . }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          command:
            - bundle
            - exec
            - puma
          ports:
            - name: {{ .Values.port.name }}
              containerPort: {{ .Values.port.number }}
              protocol: TCP
          envFrom:
            - configMapRef:
                name: {{ include "fullName" . }}-environment
            - secretRef:
                name: {{ include "fullName" . }}-container-env
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: {{ .Values.livenessProbe }}
              port: {{ .Values.port.name }}
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
      imagePullSecrets:
        - name: {{ include "fullName" . }}-pull
